VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Protected Member Functions | Protected Attributes | Properties | Events
VisimBuilder.MainBuilderForm Class Reference

List of all members.

## Classes
class | MainSettings
## Public Member Functions
delegate void | MaterialChangedCallback ()
delegate void | NodeChangedCallback ()
void | SelectNode (Node newnode, bool switchtoproperties)
| Selects new node and switches tool page to properties of the node.
void | UpdateSceneChange ()
| Scene was changed, update browsers.
| MainBuilderForm ()
void | WriteConsoleLine (string line)
void | ShowMatEditor ()
DialogResult | ShowSceneBrowser ()
void | LookAtSelectedObject ()
void | LookAtObject (Node node)
void | TeleportToSelected ()
void | TeleportToObject (Node node)
void | RefreshMaterialList ()
void | RefreshCameraList ()
void | LinkNode (Node source)
Node | CreateNodeCopy (Node source)
## Protected Member Functions
void | AddCameraToList (Node node)
override void | Dispose (bool disposing)
| Clean up any resources being used.
## Protected Attributes
MainSettings | _settings = new MainSettings()
bool | _StaticCollisionInvalid = false
Node | _selectedNode
string | _SelectedMaterial
VisimBox.Renderer.RendererEventArgs | renargs = new RendererEventArgs(null, null, null)
## Properties
MainSettings | Settings`[get]`
| Main settings of the editor.
bool | SceneChanged`[get, set]`
| was scene changed by user manipulation?
bool | StaticCollisionInvalid`[get, set]`
| If set to true, static collisions are invalid and need to be recalculated.
Node | SelectedNode`[get, set]`
string | SelectedMaterial`[get, set]`
SceneRoot | Scene`[get]`
## Events
MaterialChangedCallback | SelectedMaterialChanged
NodeChangedCallback | SelectedNodeChanged

## Constructor & Destructor Documentation

VisimBuilder.MainBuilderForm.MainBuilderForm | ( |  | ) |

## Member Function Documentation

void VisimBuilder.MainBuilderForm.AddCameraToList | ( | Node | node | ) | `[protected]`

Node VisimBuilder.MainBuilderForm.CreateNodeCopy | ( | Node | source | ) |

override void VisimBuilder.MainBuilderForm.Dispose | ( | bool | disposing | ) | `[protected]`

Clean up any resources being used.

Parameters:

  disposing | true if managed resources should be disposed; otherwise, false.

void VisimBuilder.MainBuilderForm.LinkNode | ( | Node | source | ) |

void VisimBuilder.MainBuilderForm.LookAtObject | ( | Node | node | ) |

void VisimBuilder.MainBuilderForm.LookAtSelectedObject | ( |  | ) |

delegate void VisimBuilder.MainBuilderForm.MaterialChangedCallback | ( |  | ) |

delegate void VisimBuilder.MainBuilderForm.NodeChangedCallback | ( |  | ) |

void VisimBuilder.MainBuilderForm.RefreshCameraList | ( |  | ) |

void VisimBuilder.MainBuilderForm.RefreshMaterialList | ( |  | ) |

void VisimBuilder.MainBuilderForm.SelectNode | ( | Node | newnode,
|  | bool | switchtoproperties
| ) |  |

Selects new node and switches tool page to properties of the node.

Parameters:

  newnode | New node
  switchtoproperties | If true, toolbox wil switch to object properties

void VisimBuilder.MainBuilderForm.ShowMatEditor | ( |  | ) |

DialogResult VisimBuilder.MainBuilderForm.ShowSceneBrowser | ( |  | ) |

void VisimBuilder.MainBuilderForm.TeleportToObject | ( | Node | node | ) |

void VisimBuilder.MainBuilderForm.TeleportToSelected | ( |  | ) |

void VisimBuilder.MainBuilderForm.UpdateSceneChange | ( |  | ) |

Scene was changed, update browsers.

void VisimBuilder.MainBuilderForm.WriteConsoleLine | ( | string | line | ) |

## Member Data Documentation

string VisimBuilder.MainBuilderForm._SelectedMaterial`[protected]`

Node VisimBuilder.MainBuilderForm._selectedNode`[protected]`

MainSettings VisimBuilder.MainBuilderForm._settings = new MainSettings()`[protected]`

bool VisimBuilder.MainBuilderForm._StaticCollisionInvalid = false`[protected]`

VisimBox.Renderer.RendererEventArgs VisimBuilder.MainBuilderForm.renargs = new RendererEventArgs(null, null, null)`[protected]`

## Property Documentation

SceneRoot VisimBuilder.MainBuilderForm.Scene`[get]`

bool VisimBuilder.MainBuilderForm.SceneChanged`[get, set]`

was scene changed by user manipulation?

string VisimBuilder.MainBuilderForm.SelectedMaterial`[get, set]`

Node VisimBuilder.MainBuilderForm.SelectedNode`[get, set]`

MainSettings VisimBuilder.MainBuilderForm.Settings`[get]`

Main settings of the editor.

bool VisimBuilder.MainBuilderForm.StaticCollisionInvalid`[get, set]`

If set to true, static collisions are invalid and need to be recalculated.

## Event Documentation

MaterialChangedCallback VisimBuilder.MainBuilderForm.SelectedMaterialChanged

NodeChangedCallback VisimBuilder.MainBuilderForm.SelectedNodeChanged

The documentation for this class was generated from the following files:

- MainBuilderForm.cs
- MainBuilderForm.Designer.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events